interface CarouselProps {
    loop: boolean;
    length: number;
    displayCount: number;
    autoplay: number;
}
declare type ReturnProps = {
    onClick: () => void;
    next?: boolean;
    prev?: boolean;
    active?: boolean;
    disabled?: boolean;
};
declare const useCarousel: ({ loop, length, displayCount, autoplay, }: CarouselProps) => {
    activeIndex: number;
    getCarouselProps: () => {
        style: any;
        onTransitionEnd: () => void;
    };
    getPrevBtnProps: () => ReturnProps;
    getNextBtnProps: () => ReturnProps;
    getSpecificBtnProps: ({ index }: {
        index: number;
    }) => ReturnProps;
    getSwipeProps: () => {
        onTouchStart: React.TouchEventHandler<HTMLDivElement>;
        onTouchMove: React.TouchEventHandler<HTMLDivElement>;
        onTouchEnd: React.TouchEventHandler<HTMLDivElement>;
    };
};
export default useCarousel;
//# sourceMappingURL=useCarousel.d.ts.map